<?php
require_once(__DIR__ . "/PHP/Cab.php");

// WERSJA POLSKA
$title_PL  = "Ciasteczka HTML";
$info_PL   =<<<EOT
<h1>Ciasteczka HTML</h1>

<p>
Orginalny protokoł HTTP był protokołem <strong>bezstanowym</strong>, co oznacza, między innymi że połączenie pomiędzy przeglądarką a serwerem zostanie utracone po zakończeniu transakcji.
</p>

<p>
Cookie HTTP (cookie strony internetowej, cookie przeglądarki) to pewna porcja danych (do 4kb), które serwer przesyła do przeglądarki internetowej użytkownika. Przeglądarka może zapisać go i odesłać z kolejnym żądaniem do tego samego serwera. Zazwyczaj służy do sprawdzania, czy z tej samej przeglądarki pochodzą dwa zapytania - na przykład o zalogowanie użytkownika. Przechowuje informacje o stanie użytkownika. 
</p>
<img src = "img/HTTP_cookie_exchange.png">
<ul>
<li>Proste użycie (tylko w obrębie sesji): <code>&lt;cookie-name&gt;=&lt;cookie-value&gt;</code></li>
<li>Z expire time: <code>Set-Cookie: lang=eng; Expires=Wed, 21 Oct 2015 07:28:00 GMT;</code></li>
</ul>
<h2>Kod php</h2>
<pre>
&lt;?php
  &#36;name  = "nazwa"
  &#36;value = 'jakaś wartość';
  setcookie(&#36;name, &#36;value);
  setcookie(&#36;name, &#36;value, time()+3600);  /* expire in 1 hour */
  setcookie(&#36;name, &#36;value, time()+3600, "/WWW/W10", "example.com", 0/1, 0/1);
?&gt;
</pre>
Ostatnie cztery parametry: 
<ol>
<li>Ścieżka na serwerze: "/" cała dziedzina</li>
<li>Domena: np. "cs.pwr.edu.pl"</li>
<li>(0/1) = tylko HTTPS; </li>
<li>(0/1) = tylko HTTP : nie będą dostępne dla javascript</li> 
</ol>
<h2>Javascript</h2>
<pre>
document.cookie = "username=John Doe; expires=Thu, 18 Dec 2013 12:00:00 UTC; path=/";
</pre>
EOT;
$linkN_PL = "Druga strona";

// Wersja angielska 
$title_ENG  = "HTML cookies";
$info_ENG   =<<<EOT
<h1>How to use HTML cookies</h1>
<p>HTTP is a <strong>stateless</strong> protocol, which means that the connection between the browser and the server is lost once the transaction ends.</p>
<p>
An HTTP cookie (web cookie, browser cookie) is a small piece of data that a server sends to the user's web browser. The browser may store it and send it back with the next request to the same server. Typically, it's used to tell if two requests came from the same browser — keeping a user logged-in, for example.
</p>
<img src = "img/HTTP_cookie_exchange.png">
EOT;

// Wspólne dla obu stron
$linkH   = "Cb.php";


if (getLang() === "pl"){
  echo genPage(basename(__FILE__), $title_PL, "eng", $info_PL,  $linkH, "Następna strona");
} else {
  echo genPage(basename(__FILE__), $title_ENG, "pl", $info_ENG, $linkH, "Next page");
}
?>