<?php

define("COOKIE_NAME"  , "lang");
define("POLSKI"       , "pl");
define("ANGIELSKI"    , "eng"); 
define("ZMIANA_JEZYKA", "changelang");

function getLang() {
  $lang = "";

  $setCookieQ = false;
  if (isset($_GET[ZMIANA_JEZYKA])) {
    $lang = $_GET[ZMIANA_JEZYKA];
    $setCookieQ = true;
  } else if (isset($_COOKIE[COOKIE_NAME])) {
    $lang = $_COOKIE[COOKIE_NAME];
  }
  
  if ($lang !== ANGIELSKI) {$lang = POLSKI;}
  
  if ($setCookieQ) {
    setcookie(COOKIE_NAME, $lang);
  }
  return $lang;
}

$PAGE =<<<EOT
<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="utf-8">
  <title>{{TYTUL}}</title>
  <link rel="stylesheet" href="css/simple.css">
</head>

<body>
<div id="container">
<div>
  <a id="lang" href="{{ChangeLangHREF}}">&#x1f310; {{LANG}}</a>
</div>
{{INFO}}
<p>
<a class="link" href="{{LINK-H}}">{{LINK-N}}</a>
</p>
<p>
<button onclick="alertCookie()">Cookies</button>
</p>
</div>
<script>
function alertCookie() {
  alert(document.cookie.split(";").join(' ; '));
}
</script>
</body>
</html>
EOT;

function genPage($fileName, $title, $lang, $info, $linkH, $linkN) {
  global $PAGE;
  $changeLangHREF = $fileName . "?" . ZMIANA_JEZYKA . "=" . $lang;
  //http_build_query(["changelang"=>$lang]);
  $s = (string) str_replace(
         ["{{TYTUL}}", 
          "{{ChangeLangHREF}}", "{{LANG}}",
          "{{INFO}}",
          "{{LINK-H}}","{{LINK-N}}"
         ],
         [$title, 
          $changeLangHREF, $lang, 
          $info, 
          $linkH, $linkN
         ],
         $PAGE
       );
  return $s;
}
?>
